Bug 503263 - Review Request: xsynth-dssi - Classic-analog style software synthesizer
Review Request: xsynth-dssi - Classic-analog style software synthesizer
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Mattias Ellert
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-05-30 03:28 EDT by Orcan Ogetbil
Modified: 2009-06-24 15:39 EDT (History)
2 users (show)

See Also:
Fixed In Version: 0.9.2-2.fc9
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-06-24 15:31:38 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mattias.ellert: fedora‑review+
tibbs: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Orcan Ogetbil 2009-05-30 03:28:48 EDT
Spec URL: http://oget.fedorapeople.org/review/xsynth-dssi.spec
SRPM URL: http://oget.fedorapeople.org/review/xsynth-dssi-0.9.2-1.fc10.src.rpm
Description:
Xsynth-DSSI is a classic-analog (VCOs-VCF-VCA) style software synthesizer which
operates as a plugin for the DSSI Soft Synth Interface.  DSSI is a plugin API
for software instruments (soft synths) with user interfaces, permitting them to
be hosted in-process by audio applications.


rpmlint
   W: dangling-relative-symlink /usr/bin/xsynth-dssi jack-dssi-host
can be ignored since the package requires dssi

koji rawhide build:
   http://koji.fedoraproject.org/koji/taskinfo?taskID=1384488
Comment 1 Mattias Ellert 2009-06-04 09:04:58 EDT
Fedora review xsynth-dssi-0.9.2-1.fc10.src.rpm 2009-06-04

$ rpmlint *.rpm xsynth-dssi.spec
xsynth-dssi.x86_64: W: dangling-relative-symlink /usr/bin/xsynth-dssi jack-dssi-host
3 packages and 1 specfiles checked; 0 errors, 1 warnings.

* OK
! needs attention

* rpmlint is OK - the dangling symlink is resolved by a dependency

* package is named according to packaging guidelines

* the spacfile is named after the package

* the package is licensed under a Fedora approved license (GPLv2+)

* the license tag matches the license statements in the sources

* the license file (COPYING) is installed as %doc

* the specfile is written in legible English

* source matches upstream

9186bb3ef8aff99e2aef644c946e5d55  xsynth-dssi-0.9.2.tar.gz
9186bb3ef8aff99e2aef644c946e5d55  SRPM/xsynth-dssi-0.9.2.tar.gz

* the package compiles in mock (Fedora 10)

* build requirements are sane

* package owns its directories or depend on packages that do

* no duplicate files

* permissions are sane and %files has %defattr

* %clean clears buildroot

* desktop file is installed using desktop-file-install

* package does not own other's directories

* %install clears buildroot

* installed filenames are UTF8

! the package installs an icon file but does not have any icon cache
  handling scriptlets. See

https://fedoraproject.org/wiki/Packaging:ScriptletSnippets#Icon_Cache
Comment 2 Orcan Ogetbil 2009-06-04 22:59:20 EDT
(In reply to comment #1)
> ! the package installs an icon file but does not have any icon cache
>   handling scriptlets. See
> 
> https://fedoraproject.org/wiki/Packaging:ScriptletSnippets#Icon_Cache  

Ahh. Sloppy me. Thanks for pointing this out.

Spec URL: http://oget.fedorapeople.org/review/xsynth-dssi.spec
SRPM URL: http://oget.fedorapeople.org/review/xsynth-dssi-0.9.2-2.fc11.src.rpm

Changelog:  0.9.2-2
- Add icon cache scriptlet
Comment 3 Mattias Ellert 2009-06-04 23:48:35 EDT
Package approved.
Comment 4 Orcan Ogetbil 2009-06-04 23:54:47 EDT
Thanks!

New Package CVS Request
=======================
Package Name: xsynth-dssi
Short Description: Classic-analog style software synthesizer
Owners: oget
Branches: F-9 F-10 F-11
InitialCC:
Comment 5 Jason Tibbitts 2009-06-05 17:41:30 EDT
CVS done.
Comment 6 Fedora Update System 2009-06-05 23:22:58 EDT
xsynth-dssi-0.9.2-2.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/xsynth-dssi-0.9.2-2.fc11
Comment 7 Fedora Update System 2009-06-05 23:23:35 EDT
xsynth-dssi-0.9.2-2.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/xsynth-dssi-0.9.2-2.fc10
Comment 8 Fedora Update System 2009-06-05 23:24:18 EDT
xsynth-dssi-0.9.2-2.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/xsynth-dssi-0.9.2-2.fc9
Comment 9 Fedora Update System 2009-06-15 21:41:26 EDT
xsynth-dssi-0.9.2-2.fc9 has been pushed to the Fedora 9 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing-newkey update xsynth-dssi'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F9/FEDORA-2009-6117
Comment 10 Fedora Update System 2009-06-15 21:50:23 EDT
xsynth-dssi-0.9.2-2.fc10 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update xsynth-dssi'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F10/FEDORA-2009-6185
Comment 11 Fedora Update System 2009-06-15 22:11:49 EDT
xsynth-dssi-0.9.2-2.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update xsynth-dssi'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2009-6321
Comment 12 Fedora Update System 2009-06-24 15:31:33 EDT
xsynth-dssi-0.9.2-2.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 13 Fedora Update System 2009-06-24 15:39:12 EDT
xsynth-dssi-0.9.2-2.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 14 Fedora Update System 2009-06-24 15:39:28 EDT
xsynth-dssi-0.9.2-2.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.